=== debian/changelog ===
esup-el (0.7.1-4) unstable; urgency=medium

  * Add patch to explicitly load comp (Closes: #1020178)
  * Add upstream metadata
  * d/control: Delcare Standards-Version 4.6.1 (no changes needed)
  * d/copyright: Bump copyright years

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 08 Oct 2022 10:45:11 +0500

esup-el (0.7.1-3) unstable; urgency=medium

  * Add patch to fix tests (Closes: #973066)

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 31 Oct 2020 21:52:09 +0500

esup-el (0.7.1-2) unstable; urgency=medium

  * Source-only upload
  * d/control: Migrate to debhelper-compat 13

 -- Lev Lamberov <dogsleg@debian.org>  Thu, 04 Jun 2020 11:41:51 +0500

esup-el (0.7.1-1) unstable; urgency=medium

  * Initial release (Closes: #953356)

 -- Lev Lamberov <dogsleg@debian.org>  Sun, 8 Mar 2020 17:08:03 +0500
