=== debian/control ===
Source: esup-el
Section: lisp
Priority: optional
Maintainer: Debian Emacsen team <debian-emacsen@lists.debian.org>
Uploaders: Lev Lamberov <dogsleg@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-elpa,
               elpa-el-mock,
               elpa-noflet
Standards-Version: 4.6.1
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-elpa
Homepage: https://github.com/jschaf/esup
Vcs-Browser: https://salsa.debian.org/emacsen-team/esup-el
Vcs-Git: https://salsa.debian.org/emacsen-team/esup-el.git

Package: elpa-esup
Architecture: all
Depends: ${elpa:Depends},
         ${misc:Depends}
Recommends: emacs (>= 46.0)
Enhances: emacs
Description: Emacs StartUp Profiler
 This package profiles your Emacs startup time by examining all
 top-level S-expressions (sexps). It starts a new Emacs process from
 Emacs to profile each sexp. After the profiled Emacs is complete, it
 will exit and your Emacs will display the results.
 .
 It will step into `require' and `load' forms at the top level of a
 file, but not if they're enclosed in any other statement.
