=== debian/watch ===
version=4
         opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%esup-el-$1.tar.gz%" \
             https://github.com/jschaf/esup/tags \
             (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
