## esup-el 0.7.1+git20220203.4b49c8d

=== debian/changelog ===
esup-el (0.7.1+git20220203.4b49c8d-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against dh-elpa 2.1.5.
    Upload pushed to dgit-repos but not salsa.
    See <https://lists.debian.org/debian-emacsen/2024/07/msg00077.html>.

 -- Sean Whitton <spwhitton@spwhitton.name>  Thu, 25 Jul 2024 20:24:59 +0900

esup-el (0.7.1+git20220203.4b49c8d-1) unstable; urgency=medium

  * New upstream version 0.7.1+git20220203.4b49c8d
  * Add patch to load installed elisp code (Closes: #1052958)
  * Add patch to disable tests which require generated code
  * Drop unneeded patches
  * Refresh patch to clean documentation
  * d/control: Build-Depend on elpa-buttercup
  * d/elpa-test: Keep test directory for autopkgtest purposes
  * d/rules: Override upstream clean

 -- Lev Lamberov <dogsleg@debian.org>  Sat, 06 Jan 2024 15:52:26 +0500
